@import "../../scss/importer";
// @import "framework/framework";
// // @import "components/components";

// // Foundation Compile
// @include foundation-xy-grid-classes;
// @include foundation-visibility-classes;
// @include foundation-flex-classes;
.background {
  background-color: rgba(0, 0, 0, 0.8);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 500;
  opacity: 0;
  transition: 0.35s;
}
.feedback {
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  // bottom: 0;
  margin: auto;
  width: 500px;
  max-height: 400px;
  z-index: 501;
  background: $white;
  // padding: 48px;
  @include breakpoint(large down) {
    padding: 32px;
    width: 450px;
  }
  @include breakpoint(medium down) {
    width: calc(100vw - 240px);
  }
  @include breakpoint(mid-small down) {
    padding: 16px;
    max-height: 220px;

    width: calc(100vw - 64px);
  }
  opacity: 0;
  bottom: 0;
  transition: 0.55s;
  border-radius: 16px;
  .inner-container {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 64px;
    @include breakpoint(large down) {
      padding: 32px;
    }
    @include breakpoint(mid-small down) {
      padding: 16px;
    }
  }
  p {
    color: $cgn-dark;
    // text-transform: uppercase;
    // &:hover {
    //   color: $white;
    // }
  }
  .feeedback-title {
    text-align: left;
    @include breakpoint(medium up) {
      text-align: center;
    }
  }
  .wrapper-actions {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .link-button {
      @include breakpoint(medium down) {
        padding: 8px 16px;
      }

      &.success {
        background: $cgn-dark !important;
        color: $white;
      }
      &.fail {
        &:hover {
          background: $white !important;
          color: $cgn-dark;
        }
      }
      @include breakpoint(mid-small down) {
        padding: 0;
        border: 0;
        &.success {
          background: $white !important;
          color: $cgn-dark;
          text-decoration: underline;
        }
      }
    }
  }
  &.anim {
    bottom: 64px;
    opacity: 1;
    @include breakpoint(medium down) {
      top: 32px;
    }
    & + .background {
      opacity: 1;
    }
  }
}
